# Project timeline

This module extends the standard tasks and projects actions to add the timeline view to them, and also adds the needed fields in the view for handling them.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

To view the timeline:

- Go to Project > Search > Tasks or Project > Dashboard.
- Click on the timeline view icon.
- You will see the tasks or projects in the new view.

The Task timeline uses the “Planned Start Date” and “Planned End Date” fields, in the “Extra Info” tab (only visible in debug mode).

When a user is assigned, and there’s no planned start date, current datetime is filled there, and the same happens for the end one when the task is put in a done stage.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Tecnativa
- Onestein

## Contributors

- Alexandre Moreau <alexandre.moreau@doscaal.fr>
- Dennis Sluijk <d.sluijk@onestein.nl>
- Nikul Chaudhary <nikulchaudhary2112@gmail.com>
- Eduardo Magdalena <emagdalena@c2i.es> (C2i Change 2 improve http://www.c2i.es)
- Tecnativa:
  - Pedro M. Baeza
  - Carlos Dauden
  - Alexandre Díaz
  - Juan José Seguí
- Open Source Integrators:
  - Daniel Reis <dreis@opensourceintegrators.com>
- XCG Consulting:
  - Houzéfa Abbasbhay

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/project project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.